from django.urls import path, include
from rest_framework.routers import DefaultRouter
from apps.knowledge_base.views import KnowledgeBaseViewSet

router = DefaultRouter()
router.register(r'', KnowledgeBaseViewSet, basename='knowledge-base')  # 移除 'knowledge-bases'

urlpatterns = [
    path('', include(router.urls)),
]